﻿/********************************************************************************
*
* Autor: Grigor Tonkov
*
* Changes: 02.01.2015
*
* Trigger to create list of updated rows for magento export.
************************************/

DELIMITER |

CREATE  TABLE `magento_export` (
  `Id` INT NOT NULL AUTO_INCREMENT ,
  `table_name` VARCHAR(45) NOT NULL ,
  `key_name` VARCHAR(45) NOT NULL ,
  `key_value` VARCHAR(45) NOT NULL ,
  `Timestamp` TIMESTAMP NOT NULL ,
   done int(1) , 
  PRIMARY KEY (`Id`, `Timestamp`) );
|

DROP TRIGGER TrAfterUpdateBuchRechnung;
|

CREATE TRIGGER TrAfterUpdatebuchRechnung AFTER UPDATE ON buchRechnung
  FOR EACH ROW BEGIN

  -- Eigenschaft setzen
	Insert into magento_export (table_name, key_name,key_value)
	values ('buchRechnung', 'Nummer', NEW.Nummer);

  END;
|


DROP TRIGGER TrAfterUpdateofAdressen;
|

CREATE TRIGGER TrAfterUpdateofAdressen AFTER UPDATE ON ofAdressen
  FOR EACH ROW BEGIN

  -- Eigenschaft setzen
	Insert into magento_export (table_name, key_name,key_value)
	values ('ofAdressen', 'IDNR', NEW.IDNR);

  END;
|

DROP TRIGGER TrAfterUpdateSettingsForMagento;
|

CREATE TRIGGER TrAfterUpdateSettingsForMagento BEFORE UPDATE ON `ofadressen-settings`
  FOR EACH ROW BEGIN
 
	Insert into magento_export (table_name, key_name,key_value)
	values ('ofAdressen', 'IDNR', NEW.IDNR);

  END;

|

DROP TRIGGER TrAfterUpdateofAdressenWeitere;
|

CREATE TRIGGER TrAfterUpdateofAdressenWeitere AFTER UPDATE ON `ofAdressen-Weitere`
  FOR EACH ROW BEGIN

  -- Eigenschaft setzen
	Insert into magento_export (table_name, key_name,key_value)
	values ('ofAdressen', 'IDNR', NEW.IDNR);

  END;
|


-- Artikel



DROP TRIGGER TrAfterInsertgrArtikel;
|

CREATE TRIGGER TrAfterInsertgrArtikel AFTER INSERT ON `grArtikel`
  FOR EACH ROW BEGIN

	Insert into magento_export (table_name, key_name,key_value)
	values ('grArtikel', 'ARTNR', NEW.ARTNR);

  END;
|

DROP TRIGGER TrAfterUpdategrArtikel;
|

CREATE TRIGGER TrAfterUpdategrArtikel AFTER UPDATE ON `grArtikel`
  FOR EACH ROW BEGIN

	Insert into magento_export (table_name, key_name,key_value)
	values ('grArtikel', 'ARTNR', NEW.ARTNR);

  END;
|

DROP TRIGGER TrAfterInsertgrArtikelVKPreis;
|

CREATE TRIGGER TrAfterInsertgrArtikelVKPreis AFTER INSERT ON `grArtikel-VKPreisPerSelection`
  FOR EACH ROW BEGIN

	Insert into magento_export (table_name, key_name,key_value)
	values ('grArtikel', 'ARTNR', NEW.ARTNR);

  END;
|

DROP TRIGGER TrAfterUpdategrArtikelVKPreis;
|

CREATE TRIGGER TrAfterUpdategrArtikelVKPreis AFTER UPDATE ON `grArtikel-VKPreisPerSelection`
  FOR EACH ROW BEGIN

	Insert into magento_export (table_name, key_name,key_value)
	values ('grArtikel', 'ARTNR', NEW.ARTNR);

  END;
|




DELIMITER ;